# Abstract
## Feature
* Support direction:rtl
	* For international useage, support [direction:rtl](https://developer.mozilla.org/en-US/docs/Web/CSS/direction)
	* Pull Request: https://github.com/apache/incubator-weex/pull/1664

* Support richtext component
	* Support richtext component [richtext](http://weex-project.io/cn/references/components/richtext.html)
	* Pull Request: https://github.com/apache/incubator-weex/pull/1796

*  Performance optimization(init)
	* rm useless log && reduce reflection
	* Pull Request: https://github.com/apache/incubator-weex/pull/1844

* **Major change** refine weex code:（integration code from weex_core and weex_v8core）
    * pr : https://github.com/apache/incubator-weex/pull/1999
    * change log:
    	* Modify file naming from capitalized hump to lowercase
    	* Modify the header file inclusion method, mainly based on google style
    	* Change the file directory and move the basic function files to the base directory
    	* Merge jssengine code into WeexCore repository, integrate compilation
    	* Add libWTF.so to adapt to compile
    	
* send interaction time with event(after 8s)
	* Pull Request ：
		* https://github.com/apache/incubator-weex/pull/2000
		* https://github.com/apache/incubator-weex/pull/2002

* JsEngine multi-threaded
    * The jss sub-process adds I/O Thread, which is specially used to handle IPC message forwarding. Move the IPC operation originally attached to jsThread to I/O Thread. 
    * The jss sub-process adds a JSThread to execute the tag. The page instance for use_back_thread=true holds a VM for each thread, independent of each other. The two threads do not interfere with each other, so that they can run in parallel.

* ***Major change** Remove AutoConfigScan
    * Pull Request: https://github.com/apache/incubator-weex/pull/2142

* Throws the exception in the componentHooks callback and hands it over to the client.
    * Pull Request: https://github.com/apache/incubator-weex/pull/2285

* Add completion callback for registerService.
  * Pull Request: https://github.com/apache/incubator-weex/pull/1776

* Supprot devtool show the new performance info
  * Pull Request : <https://github.com/apache/incubator-weex/pull/1751>

* Support change device width and height by external interface
  * Pull Request:  <https://github.com/apache/incubator-weex/pull/2263>

## Bugfix
*  Emoji not show on Android 9.0(init)
	* Emoji not show on Android 9.0(init)
	* Pull Request:  https://github.com/apache/incubator-weex/pull/1804/files

* Support ontouch event on scroller component
	* Pull Request: https://github.com/apache/incubator-weex/pull/1896

* Fix NPE && No such Element Exception
	* Pull Request: https://github.com/apache/incubator-weex/pull/1896

* Bugfix java.lang.NullPointerException: println needs a message
	* Pull Request: https://github.com/apache/incubator-weex/pull/1925

* ignore fixed element for interactionTime
	* Pull Request：https://github.com/apache/incubator-weex/pull/1900

* Use JSON to find bundleType
	* Pull Request：https://github.com/apache/incubator-weex/pull/1927

* Upload attribute information if list's column count equals or smaller than 0 
	* Pull Request: https://github.com/apache/incubator-weex/pull/1957/files

* try to fix threadpool rejectexception cause  shutdown 
	* Pull Request：https://github.com/apache/incubator-weex/pull/2001

* try to fix js exception: scroll event.xxx undefined
    * Pull Request: https://github.com/apache/incubator-weex/pull/2034

* fix multithread crash : task excute after instance destroy
    * Pull Request: https://github.com/apache/incubator-weex/pull/2029# Detail Commit
* update publish script 35a7a25c9
* Update push tag 9c926b278
* update publish script. 53767a82c
* Update webkit version. 98b692486
* Update file header for source file from Webkit and chromium f9392ae3a
* Update license header and build script for apache release. 1c4241036
* Update publish srcript ab1d292b9
* Update push tag 5f82b4c95
* Update publish.sh 331f8ba9e
* Chmod publish_release_candiate.sh to 755 3d637fc3e
* Add release_candiate.sh bb044a44e
* Update release script b8cd0d0cf
* Update version for 0.24 release 388f76bdb
* [iOS] Fix mtl target build script. (#2369) bc6fe7e9c
* [jsfm] Fix the lint error in Document (#2368) b5c404a33
* Mege Release/20190410 into master (#2330) eff1480a2
* [iOS] modify the format of report server mssage 8f5845637
* [iOS] fix buildComponent crash 7135fdfc6
* Public refresh (#2325) 975c005be
* [eagle] remove unused changes b2ed94fd1
* [eagle] fix ios module reg problem for eagle 38801dcf4
* Fix potential crash of layout node. f04b97751
*  [Android] Remove armABIOnly flag, which will cause 32 bits so and 64 bits cross link problem. b6b4b06d5
* [iOS] Avoid conflict between Pan & Tap gestures. 3eef58f46
*  [android] Copy so files to build dir. (#2303) 4e272fb3f
* [iOS] Fix background is set to transparent when no border. f3fd7ec94
* [Android][iOS][WeexCore] Remove eagle from weex (#2302) 7b4628062
*  [Android] Build cpp/so in integration machine (#2301) a0222dbef
* Throw exception if create pthread failed (#2300) f3f08b642
* [jsfm] Upgrade the weex js framework to v0.29.6 (#2299) 84192ba89
* [jsfm] Throw the caught exception in componentHook (#2285) c062c8f94
*  [Android] Add weex-main-jsfrm.js and weex-rax-api.js to gitignore, as it is copied from prebuild/ directory now. (#2297) 83bc0b2f6
* [iOS] fix compile error when weexsdk used by other app bfb9d78c8
* Update build.gradle for disableCov property and delete closure 204c7b5d8
* [iOS] fix richtext show error on eagle 67cb4e4ae
*  [Android] Update build.gradle (#2287) 5c398f7de
* copy libweexcore.so and libweexjss.so to libs automatically (#2280) 36f023eb7
*  [Android] delete .cpp file only if project.buildCpp is true. (#2286) 494a55c59
* [iOS] Add bundle response url in options dictionary. 6c74fb763
* [iOS] Fix after very quick refresh, scroller cannot stay at 0 point problem. 5dbb79e52
*  [Android] Add buildCPP 998d745ca
*  [Android] Update build.gradle ab112964f
*  [Android] Update build.gradle to support external build scripts 3b0b9d024
*  [Android] Update build.gradle to support external build scripts. 414e9dda2
* [Android] Fire event when a-label with pseudo_ref is clicked. (#2271) f4666415c
* [WEEX][Weex-Android] Supported Pad Render Mode For Big Screen (#2273) e006164f1
* [Android] Fix blank page when JS exception raised before batch end. (#2254) 0793e1782
* [Android] Add "isDragging" property to scroll event of a list component. (#2264) 04af94a18
* [Android] Support to use loading-indicator separately. (#2249) 857c4638c
* [iOS] Ignore scroll action if contentSize smaller than scroller frame. ae3607db0
* [iOS] fix compile error when other project import weexsdk by source code f9bb7bc71
* [iOS] Support change device width and height by external interface. 02dfe2238
* [iOS] Support to use loading-indicator separately. af516f2c1
* [iOS] Fire event when span within an a-label is clicked. cce5b0ca7
* [iOS] Add "isDragging" property to scroll event of a list component. bb1a2ec97
* [iOS] Fix custom component receive touch events when root componet has click event. 4e7091096
*  [Android] Fix ConcurrentModificationException (#2255) 5903f698b
* [WeexCore] Remove log that isn't necessary and may cause performance issue. ba4147c82
* [Android] Fix list frozen in wrong condition. 833a7e771
* MultiThread Init sequence (#2241) 36dce32c4
* [iOS] Fix crashes. db2725839
* [Android] check dup exception report for every instance (#2226) e6d373dab
* [iOS] Public headers. 2d9484582
* Add comment about issue that when bounces is set to NO for a UITableView, it cannot slide. 7f442d4f5
* [WEEX][Weex-Core]  Fix CSS Transition Not Works Bug And Adapter For Rax Wrong Duration Unit (#2217) bb0913cc0
* [iOS] Fix the border of view hasn't gone after changing border width to 0 dynamically; (#2153) cc9ba8d5c
* [iOS] Fix animation module crash when working with layout. (#2210) f95db5ab7
* [iOS] Add detect object recursion debug code. (#2209) 642fc5fc7
* [iOS][Android] fix scrollToElement performance incorrect  offset (#2198) c6f65a261
* [jsfm] upgrade the weex js framework to v0.29.5 (#2207) 4ec37d445
* [jsfm] add type check for register modules and components 16d0cf5a2
* [iOS] Fix <image> cannot display picture with url which contains Chinese words. (#2135) 2d985981a
* [Android][iOS][C++] Merge eagle modify code to master (#2199) bf88859e3
* [Core] Add default constructors for VALUE_WITH_TYPE ad618cf3d
* [Core] Add missing header so that each file can compile. dd3344090
* [Core] Separate weex api result type from WeexApiHeader 3dfdf1cc0
* [iOS] navigator module argument adapt. (#2169) b66f346a8
* [iOS] Fix richtext multi-thread issue. (#2168) bf7e99401
* [Android] Add scrollToBegin to scroller.  (#2165) 06c6e27f9
* fix WeexSDK-Dynamic WXRecyclerComponent.h to public 67ffeb37c
* [jsfm] upgrade the js framework file within android sdk to v0.29.2 (#2157) 63b9ba221
* [jsfm] upgrade the weex js framework to v0.29.2 (#2156) 6f33ad30f
* [iOS] Fix bug that when imagesrc is nil, image loader is still called. (#2145) 1fea2120c
* Add register cache feature c10333c88
* [iOS] update SDK_VERSION  to 0.23.0 80a673564
* [iOS] Fix richtext creating text view in sub thread. (#2138) 0d33e73b2
*  [Android] try to fix RejectedExecutionException on DefaultWXStorage. (#2137) 700122dbc
* Update template for pull request 3026316dc
* Update issue template 9df67dadb
* Update contributing.md which is a copy of how-to-contribute.md in https://github.com/apache/incubator-weex-site/pull/318 cd893d31b
*  [Android] Restart jsframework if jsEngineMultiThread switch changed (#2126) 7659a5972
* [iOS] fix text color error a2a58f775
* [iOS] fix crash when multithread use color 2d5af67b1
*  [Android]  Fix Waterfall Can't Change Column Count Bug  (#2105) c077fcb35
*  [Android] reload js service when reload weexSDKEngine (#2114) e2c5e6468
* Revert "[iOS] Don't rescale corner-radius because some animation may animate width/height from zero to some value, but scaling generates zero factor if width/height is zero. (#2112)" (#2117) a27027c94
* [iOS] Fix issue that PageX, PageY are incorrect when view is in scroller. (#2113) ce2f0148f
* [iOS] Don't rescale corner-radius because some animation may animate width/height from zero to some value, but scaling generates zero factor if width/height is zero. (#2112) c30032d0f
* [iOS] Protect inner _styles, _attributes and copy them for returning values. (#2111) a3111eef0
* [iOS] Fix richtext crash because of accessing layout node on Main Thread. (#2110) e401433a6
* [iOS] Fix scroller problems. https://github.com/apache/incubator-weex/issues/1633, https://github.com/apache/incubator-weex/issues/1742, https://github.com/apache/incubator-weex/issues/1979 (#2109) ce9c6ecd5
* [iOS] On iOS "status_bar_height" is not need, remove it to make thread checker happy. (#2108) 979d56299
* [iOS] Fix setViewportWidth on iOS. (#2107) f4aea82fd
* [iOS] Fix problem that toasts of last deallocated page continue to show in later pages. (#2106) 2d9eeb91b
*  [Android] Only Scroller Use Real View Remove, For List use old logic because On XiaoMi May Not Render Right. (#2099) fa814afa2
* Fork/master 2019 01 30 (#2098) 424098886
* [iOS] Protect dom.getComponentRect argument for there are so many misuses by front-end developers. (#2093) 1c79ada45
* Update issue templates (#2091) ff97af62c
* Update issue templates c8c673660
*  * [android] Fix windmill container to debug weex page (#2077) f20382a8e
* Revert "* [Android] adapter screen height for full screen (#1981)" (#2076) 709e948a9
* [WEEX][Android] Remove Unused PreLoad Statics Method Count Logical (#2069) 8e7e6505c
* [WEEX][Android] When LoadMore Offset Is Float, Exception Happen LOADMORE Function Loss (#2070) 23079b14b
*  [Android] Fix problem of ConcurrentModificaiton (#2043) 8ae985386
* [iOS] Fix bridge method with BOOL argument on 32bit devices. (#2059) 79f93b2e5
*  [Android] Fix image problem antialiasing on Android 9 f921de08f
* [WEEX][Android] Fix Illegak Input Parse Exception (#2038) 744181b0e
* [WEEX][Android] Weex Bugfix For Scroller Remove Failed Because Of Edit Of Scroller Touch Event (#2036) c06a29d02
*  [Android] Fix NEP of WXTextView#getText()  (#2051) da4e7aa6d
*  [Android] Correct VSYNC_FRAME for Android when API level is 15 or lower (#1339) 335766b59
* Remove orange with transform's value parse. 09b2ce9ef
* Create CODE_OF_CONDUCT.md a58daab12
*  [Android] Fix storage problem due to multiple thread (#2010) 44cff2488
*  [Android] try to fix js exception: scroll event.xxx is undefined (#2034) 945e93bc1
* [ios] fixed layout.cpp crash in scrollercomponent 0e80f83cb
* [core] fix appear event on root node (#2030) 6c77249a8
*  [Android] rm unnecessary exception，just loge (#2029) c5662ddc8
* [core] fix event cant fire when event bingding on root node (#2027) ce669f5ba
* [iOS][WeexCore] Remove unused files. (#2028) 5f5d26004
* Remove Dup Exception report (#2026) 8218aeb9a
*  [Android] Fix potential NPE (#2025) 99ca6cafd
* [core]fix crash when root node is null (#2024) 9eb6268de
* [core] set componet when vnode diff (#2021) 3eb731bdf
* [WEEX-581][android] fix 'onFocus invoked twice (#1460) cd8c6c78f
* [weex][android] fix the custom file ttf not work well, need replace uri.getPath() with (#1964) 425e0a932
* [iOS]support viewappear and viewdisappear event on eagle (#2020) dd27b07c5
*  [Android] Fix fireEvent problem in data render when data or domchange is null c4aba6784
* [android] modify playground app camera runtime permission request behavior (#1221) b874c1f92
* [WEEX][Android] Support  Downgrade To Full Page Root Instance (#1952) 8b9ce52b3
* [WEEX][Android] Weex Bugfix For Scroller Remove Failed Because Of Edit Of Scroller Touch Event (#2005) 21e9e81da
* [WEEX][Android] When View Not InstanceOf WXGestureObservable, mGestureType is Null, remove event has none affect, (#1968) 34598dab0
*  [Android] Add eagle support in JSC to fix the problem of updateComponentData not invoked. 1bb88cbe1
* [iOS] fix customEnvironment crash f5aec4e74
*  [iOS] Add support for custom event with stoppropagation 807a56855
* [WEEX-482][Android] Added support for multi-value headers(WXStreamModule) (#1300) c7dd6c76f
* [Bug Fixing] avoid crash when getFlatUIContext() return null (#2007) 871401a9a
* [Weex][android] feat: add bindingx weex plugin (#1975) f8b464cd9
*  [Android] edit build release.sh for cp jss so 511f024e3
* [iOS] Protect websocket url argument. (#2004) 0f7a04265
*  [Android] build fix eb3f28b1d
*  [Android] feature :send performane info to js delay 8s 20748f7ba
*  [Android] try to fix threadpool rejectException when ShutDown 572fc2885
* [iOS] Add display link task and report vdom, component count to apm by task avoiding too much invocations. Hide header of WXDisplayLinkManager. fdb024b56
* [iOS] remove javascriptcore include from WeexSDK.podspec eda45b38c
* merge code to master from merge_code_refine branch d8ed28046
* [iOS] Remove old tracing system. Adapt for playground. a17c43050
* [core] delete child node when delete parent node 36781e06f
* [jsfm] fix: judge if event is not defined (#1992) 94346628e
* [core] fix crash when click quickly 73c9a1b4a
* [core]fix crash when fire onEvent 581632ad1
* [core] fix memory leak 2e2c05dcf
* [core] fix event error cf9f45787
* [iOS] Remove old tracing system. 1866fe980
* [iOS] Allow redundant arguments provided for callNative. (#1987) ab262a193
* [iOS] Remove unused options. (#1986) 5f162cae5
* [iOS] fix apm log crash 77a167c32
*  [Android] adapter screen height for full screen (#1981) 32be2e54b
* [iOS] add bindingx for playground 9bdd1f29e
* Android data base fix (#1970) e8a7c932b
* [iOS] WXEditComponent provides keyboardSize with front-end px value. (#1965) 74fee8d59
*  [iOS] remove WXConvertUtility.h from WeexSDK.h 730a85c78
*  [Android] Add more log for list component's column count. (#1957) e97733416
* [WEEX][Android] Fix Scroll End Be Fired When ScrollEnd But Touch Not End (#1945) 0bb4d4c40
* [WEEX][Android]  WXEmbed ViewAppear  DisAppear Event  Twice (#1951) 0e33baa37
* [WEEX][Android] Fix Image Bright When ReBind The Same Image In Some Image Framework (#1948) 8e400ce5c
* [WEEX][Android] When LoadMoreOffset Not Set  Load More Function Not Fired (#1949) c9b1c7fd3
* [Android] add aliyun repo , for some net issue (#1947) 2d703554c
* [iOS][Bugfix]move the new member position in WXCoreCSSStyle. the position will impact the inline function's result. 915fd660b
* add Extra options to createInstance  (#1943) 5d33cd7c4
*  [Android] cherry-pick commit  a06dca013987869184bb8312904a53f8b04c194f: (#1941) acf722723
* [iOS] modify KEY_PAGE_PROPERTIES_RENDER_TYPE wxEagle -> eagle (#1944) 4c59e2325
* [iOS] remove WXConvertUtility.h from public head 8af6691da
* [core] fix crash error when erase event (#1940) 91489880b
*  [Android][iOS][C++] Add eagle version of data-render (#1937) a11a9dc82
* [iOS] fix backgroundColor bug when modify div color 481d811ac
* [jsfm] upgrade js framework to v0.29.1 (#1932) 847213390
* [iOS] [Bugfix]  When cell-slot contains v-if, recycle-list does not work as expected if cell is reused. The WXCellSlotComponent should be recreated when cell is reused. b86e99458
*  [Android] Use JSON instead of simple string compare to find bundleType. (#1927) 2770feeeb
* [iOS] Fix bug with borderRadius's calculation. (#1929) c1ae9bd57
* [WEEX][Android] Bugfix java.lang.NullPointerException: println needs a message  at android.util.Log.println(Log.java:357)at com.taobao.weex.utils.WXLogUtils.log(WXLogUtils.java:80) (#1925) 0329d583d
*  [Android] record dataLength received from network. if time out exception, could help us fix issue quickly. (#1926) ec6632e8e
* [iOS] Fix `scrollStart` and `scrollEnd` can not be triggered when setting scroller's contentOffset 72292f903
*  [Doc] Add mailing list (#1921) a3eec73c7
* [iOS] Add WebSocket' implementation in playground's project. (#1922) 802b55c3b
* [iOS] Add WebSocket' implementation in playground's project. (#1920) 9a8ee88c3
*  [Android] Read weex version from command (#1919) db4d62b9f
* [core] fix crash when vnode is null (#1918) cb44e2f28
* [jsfm] attach data to WeexInstance (#1909) 183a9c336
* [iOS] Optimize get bundle type. (#1912) 3a7f33a69
*  [Android] (gradle build) nullPoint fix for ndk.dir check  - issue: https://github.com/apache/incubator-weex/issues/1907 3a43744bd
* [iOS] fix recode time incorrect on eagle 09ca033a0
*  [Android] Update gradle for jCenter publish. (#1905) 491cc9578
* [iOS] Public WXPerformBlockSyncOnBridgeThread. (#1904) 3c05aced8
* [iOS] [Bugfix] fix view.frame is not accessed in main thread. 6aaa4b235
* [iOS] [Bugfix] When navigation ishidden, the weexinstance will relayout, it should modify WXRootView's frame, in same case it does't not work because of the execute sequence c84e431d5
*  [iOS]ignore fixed element for interactionTime db5340e3b
*  [Android] modify interactionTime algorithm ，ignore fixd element (#1900) f745b794d
*  [Android] rm useless code `WXInstanceExceptionRecord` (#1898) 402f4835a
* Make scroller support on touch Event (#1896) 93a09d4bf
* Fix NPE (#1897) b9a5b736d
* [iOS] Avoid unnecessary invocation. 67b42f056
* [iOS] Add upriseOffset for edit component. 4f884921d
* Merge Beta 0.20.1 (#1892) 654b398c9
*  [iOS] fix bundleTypeParse && ignoreInteraction flag e45f41739
* [Android] edit doc HOW-TO-BUILD for android build (#1861) d4d1aa2bb
* [WEEX-673][weex_core][iOS][Android] fix crash && advance RTL performance (#1860) 5a52f042a
* [iOS] Protect multithread set/get custom environment. (#1875) 44dbb593f
* [jsfm] add __updateComponentData to TaskCenter (#1873) 216d437c4
* [jsfm] Still throw caught errors in event handler and callback (#1857) 28e5d31f0
* [iOS] Fix md5 potential crash. (#1871) 212e986ba
*  [Android&iOS] Fix some typos (#1614) f30c21715
*  [doc]Use travis-ci bagdge instead of outdated circleci badge (#1866) 247a165ab
* [weex_core] fix guess crash point (#1856) 10e046ffd
* [iOS] [BugFix] Fix remove active pseudo class doesn't work. 16c657bf1
* [iOS] Slider animation can be forbidden on iOS which is the default behavior of Android. (#1849) fe6f8c9a1
* [iOS] BugFix, slide.index is reset to zero when the view is out of window. It should be kept to the last show index. 488dd5df4
* [iOS] fix after layout change view.width==0 && view.height==0 the view have not been refreshed. (#1848) d16cf178a
* [Android] fix playground app crash while url query is null (#1847) 374dc3bae
*  [iOS] fix sdk build error, ignored "-Wundeclared-selector" (#1846) 6c335f718
* [iOS] Fix keep-scroll-position property not work if cell height is not integer。 (#1845) 546b12b89
* [WEEX-661][iOS] update for weex dev-tool (#1751) 943ec40e3
* Update libweexjss to fix jsc thread deaclock (#1840) 6c6968e93
* [WEEX-671][iOS] `extendCallNative` method move to instance jscontext (#1843) 980892a30
* [Android] weex performance optimization (#1844) 4e1aacb22
*  [Android] interaction position for fixed element (#1839) 8780ecd8b
* Fixed minor grammatical errors and typos. (#1832) f8b9bc55a
* [Android] add jsc adapter to control jsc process reboot 4eef29d6b
*  [Core] Do nothing if attachThread failed (#1833) d30350923
* Do not print log if msg is null (#1838) dcc7ba6cb
*  [Android] update for weex dev-tool (#1836) 6913470b6
*  [Android] edit interaction logic && edit exception report logic (#1835) 5eb62df91
*  [Android] Remove libweexcore from git (#1830) 637242a5e
* [core] add script section in opcode file (#1827) b8a506437
* [Android] replace IWXDebugProxy as WXSDKInstance class (#1825) 624509345
* [Android] fix WXpageActivity class on playground app (#1824) fa827785f
* [Android] support for hot updates under specified ports 6e9edfc26
* [android]update zxing core to gradle dependency 18fe480f8
* [iOS] Release jscontext in bridge thread to avoid main thread deadlock. (#1822) 78b887ce8
* [iOS] Use libc++. (#1819) 1e757cdfc
* Fix multicontext recreate (#1818) adfa15773
* Some Emoji emotion not Show On Android 9.0 (#1804) 78db8a66e
* [android] fix slider crash when adapter is null (#1816) 349ee5f13
*  [Android] Fix Jacoco problem 5d188aba0
* [WEEX-657][iOS] Add a feature to control the offset of list attach to the bottom` (#1813) 72440a803
* [WEEX-668][Android] errorCode type edit (-2013 is a js exception) (#1814) 6e5d3bfd9
* fix Parser.nextToken malfunction fb762db43
*  [android] Support richtext component (#1796) 12e605fde
* [iOS] Protect invalid rich-text data. (#1807) bdd533730
* [iOS] Add richtext component. (#1799) 53919f2d7
* [iOS] Also write js error log to monitor. (#1767) 4dfdb0a88
* [iOS]sometime image size is so big when loading image (#1795) b335bd684
* Update issue templates (#1797) 78ce03c52
* [Android] fix scroller memory leack because of OnAttachedListener (#1774) 4e27e0d6b
*  [Issue] Update issue templates for good (#1792) caff5819c
* Update issue templates (#1791) ff79d7189
* [Core] The same type should not be registered as affine types which will cause stack overflow in IsAffineType. (#1790) 7aa6a5c0d
* [Android] Fix mistype. 5702b656a
* [iOS] Add methods to retrieve css style values from weexcore c++ object. 942f0c561
* [iOS] Forbid adjustment of safeArea by system for cycle slider component. (#1780) 8cf3513ae
* [iOS] Add completion callback for registerService (#1776) fd4b75032
* [iOS] Trigger vsync on iOS in every batch. (#1759) 6b9cbe0af
* [iOS] Fix deadlock if WXSDKInstance is release in thread safe dictionary. (#1757) ac18368ec
* [iOS] Remove specific animation by key instead of removing all. If we don' t remove, updating transform won't work after doing CAAnimation. http://dotwe.org/vue/ce7d8d3bd4e67d3fe321c9e8b0bbbb7b (#1734) ca545a589
* [iOS] fix scrollEnd can not get offset (#1729) c4847bb8a
* Revert "Fix rc 0.20" b79bb7c47
* [iOS] Add methods to retrieve css style values from weexcore c++ object. aa88ab0c8
*  [Android] Update 0 zero column report as column is not used when mLayoutType == TYPE_LINEAR_LAYOUT (#1785) a49f83a61
* [iOS] Forbid adjustment of safeArea by system for cycle slider component. (#1780) b56ce0a43
* [iOS] Add completion callback for registerService (#1776) 94049e9a0
* [iOS] Trigger vsync on iOS in every batch. (#1759) 6ef7d464a
* [iOS] Fix deadlock if WXSDKInstance is release in thread safe dictionary. (#1757) fabc9ae2a
* [iOS] Remove specific animation by key instead of removing all. If we don' t remove, updating transform won't work after doing CAAnimation. http://dotwe.org/vue/ce7d8d3bd4e67d3fe321c9e8b0bbbb7b (#1734) fef4326da
* [iOS] fix scrollEnd can not get offset (#1729) 03e203da9
*  [weex_core] fix RTL bug when flex-direction is column or column-reverse (#1784) 8949b2d40
* [jsfm] Support fireEvent when there is no root (#1781) 2a001f766
*  [Android] Update code owner. (#1782) 46e336989
* [iOS] Forbid adjustment of safeArea by system for cycle slider component. (#1780) 70cd5d143
* [android] move testCoverageEnabled = true config to debug mode (#1779) ef2f0c609
* [iOS] Add completion callback for registerService (#1776) eec53b1e5
* + Add codeOwner. (#1775) e3151ef73
* [Android] add eagle version track info (#1762) 953c3fac3
* [WEEX-653][android][iOS][core] Android&iOS support rtl direction by CSS "direction:rtl" (#1664) 3cb8e9e77
* Update LICENSE (#1765) d8fb6650e
* [iOS] fix error when loading contents from cache (#1764) 54a4cc1f9
* [iOS] add performance debug (#1763) 69c795caa
* [core] fix env or jni object nullptr (#1761) e4f6763dc
* [iOS] Trigger vsync on iOS in every batch. (#1759) fdf5d9d96
* [iOS] Fix deadlock if WXSDKInstance is release in thread safe dictionary. (#1757) d25ed7af3
* [iOS] fix renderWithUrl on data_render (#1756) b920c0188
* [Release] Added the missing Apache license (#1753) 7139ca29c
* [iOS][WEEX-660]add component ignoreInteraction flag (bad case addElement onScreen with loop) (#1750) a1f682395
* [iOS] fix weexsdk compile error (#1754) 0dc92f348
* [WEEX-659][core][eagle] support more feature in parser (#1749) 46603bfca
* [Release] Roll version number to 0.20.0 3b67c87ac
* [build] Updated the Apache release scripts. (#1741) 3436364b2
* [core][Android] support dispatchMessageSync api (#1743) ded64a3b8
*  [Android] Change NestedInstance in WXEmbed to protected for sub-class to override. (#1744) 235f3a525
* [core][data_render] support class binding (#1740) 476334e26
* [iOS] Remove specific animation by key instead of removing all. If we don' t remove, updating transform won't work after doing CAAnimation. http://dotwe.org/vue/ce7d8d3bd4e67d3fe321c9e8b0bbbb7b (#1734) 8c6b3e67e
* [iOS] fix scrollEnd can not get offset (#1729) c83cab10a
* [iOS] Restore recursive lock and add some comments. (#1726) bd663a866
* [Core] Let affine types of "scroller", "list", "waterfall" match RenderList logic. Autodetect subclass when registering a component and register its affine type. (#1723) f1117e56d
* fix video show or noshow controls (#1722) 6d14bf380
* [WEEX-656][iOS] WeexDemo Supporting iPhone XS Max and XR (#1724) 4e8f18e13
* [iOS] Fix ios mutlithread related issues. Refactor WXThreadSafeMutableXXX containers. (#1716) dbde6713c
* [WEEX-639][iOS] fix input component can not limit words number correctly (#1608) 04eee5c85
* [iOS] add userinfo to bundle loader failed error message. (#1719) c668c554d
* [iOS] Do not layout if non css style is updated such as 'transform' by updateStyle. (#1717) 7adc0bda2
* [iOS] fix image slide bug (#1715) df1a867bb
* [jsfm] add event support without binding to Element (#1709) e6c353347
* Revert "* [android] Update devtool version (#1708)" (#1710) dd7a631d9
*  [android] Update devtool version (#1708) a1a05cce0
* [iOS] Fix spelling error. (#1669) 74ffe1493
* [WEEX-648][iOS]native batch for dom operations generating from JavaScript (#1644) 218788945
* [WEEX-648][Android]native batch for dom operations generating from JavaScript (#1647) 817f6ef10
* [WEEX-612][android] Fixed after input component default set  a string  on android platform, and then remove it, not trigger input event. (#1522) 77c921977
* [core] rm repeat code (#1700) 69cd3e784
*  [Android] Fix the problem that changing image.resize in JS doesn't work (#1670) 7372a4d5b
*  [Android] Fix iconfont refresh problem (#1668) 86418bc5f
*  [Android] Fix layout problem for item with position:absolute style and align-item:center in its parent. (#1667) e0e81e036
*  [Android] Fix text layout problem (#1666) a19c43ddb
* [iOS] Fix crash if observer is removed twice. Change some variables to static. (#1665) 4351ca79d
*  [android] Support keyboardSize (#1638) 27c43e5a0
*  * [android] Support attr controls (#1663) 1bdc3f725
* [Android] fix data not bind when non-recyclable item is lazy in list (#1660) bf595cf1b
* [Android] fix appear & disappear problem of items in scroller (#1652) f56ba8647
* [iOS] Invalidate of WXComponentManager should be invoked in component thread. (#1661) 56a18a22e
*  [android] Fix input disable cannot slide (#1656) f88c22540
* [Android] fix list unable to slide when sticky item has events (#1654) 7a3bfd9c5
* [WEEX-649][Android] when downLoadBundle,add `isBundleRequest` flag in request paramsMap (#1646) 74b9424b1
* [Android] fix loading disappear when refresh more than one time (#1641) 920bd98ef
* [WEEX-645][iOS] video can hide controls (#1636) 4fe0c417f
* [Android] fix transform origin not right when animating with AnimationModule (#1634) d86ae20e9
* [Android] fix image flash in sticky item (#1632) 4791dfb55
* [iOS]Catch exception 'NSInternalInconsistencyException', reason: 'Missing cell for newly visible row 8'. It's a iOS bug, It disappear after iOS11.2. (#1628) c07d81bb9
* [iOS] fix rax object leak. (#1625) 4c900cbe8
* [jsfm] Revert the destroy logic modification in #1529 (#1622) 36d78cf43
* Fix instance double render (#1621) 2813b5472
* [WEEX-642][iOS] fix wxpageRatio not report  && report createInstaceContext failed info (#1618) 0f39d381b
* [iOS] Add keyboardSize in "keyboard" event. (#1620) e13b59994
* [iOS] Protect stream module arguments. (#1619) 875a5ebd7
* [iOS] Only use __enable_native_promise__ option when explicitly set in config. (#1617) 5cbf24b73
* [jsfm] upgrade js framework to v0.29.0 (#1611) 1268a6de5
* 1.remove append '\0' 2.use string to take str from wtf 3.Add timerTask at the end of the queue 4. createInstance failed if string size is zero (#1616) 89f91d807
* degrade to h5 If create instance error (#1615) d1ad94bbf
* [core] fix bugs in data render mode (#1613) d4cd1ebed
* [core] release char* to jni after using (#1612) a4efea00d
* [jsfm] decide whether to use promise polyfill by environment variable (#1609) 77b00acb4
*  [android] Support miniapp debug (#1610) f013e6b6e
* [WEEX-638][Android] fix attacheCurrentThread crash (#1606) 4adcf9f36
* [core][Android] fix thread block when nested sync method to JSS in JS Thread (#1600) a6e7134b2
* [WEEX-637][Android] merge jss.so (#1603) 44051e53e
* Fix div in list which cause weexcore render objects not ordered. (#1602) f009d29ce
* [iOS] Project fix, remove invalid files. (#1601) ae6fdb57c
* [core] fix use c++_static compile error on Android (#1598) 1f097ddb3
* [core] fix use c++_static compile error on Android (#1593) a15138634
* [core] fix list column zero (#1595) 162719cce
* [core][Android] fix NPE and decode error in opcode (#1589) 73c19f594
* [core]fix opcode rax parser error (#1588) 7736aedd6
* Merge 0927 bugfixes (#1585) 23f9a2082
* [core] bugfix dom module register error and '\xxxxxx' error (#1582) 4652d7f5d
* [WEEX-586][Android] Revert Weex Render High Performance Cross Platform (#1579) 584374e5e
* [WEEX-634][Android] fix old performance record time (#1583) 7700b0b93
* [core] fix fire event bug when refresh in data render (#1581) f3b83c67f
* [WEEX-632][Android] Update jss to fix some bugs (#1574) e6d7a88fe
* Revert "merge libweexjss.so to appache (#1573)" (#1575) 8f40697f0
* merge libweexjss.so to appache (#1573) 21cea7728
* [iOS] Protect animation module. (#1572) 53108261e
* [core] fix render list gap problem (#1571) cd89a4da5
* [WEEX-630] [core] fix data render dom diff error (#1570) 82fc91c1c
* [Core] Build error on iOS. (#1569) 196060ef3
* [WEEX-628][Android] add jsframework load adapter (#1568) 64c0f42b6
* [WEEX-629][iOS] fix report firstScreenRenderTime failed (#1567) 7f1bba7cb
* Fix leaks crashes 0927 (#1566) d069b12df
* [jsfm] revert 0.28 (#1536), downgrade to 0.27.8 (#1562) 19464fadc
* [WEEX-586][Android] Weex Render High Performance Cross Platform Render (#1564) 6d5e66625
* [iOS] Remove object from ref map after delete. (#1563) 4be0e0e02
*  [android] Add deviation to meta (#1561) fba00e2e9
* [iOS] fix data render  in renderview interface (#1559) f8c851f03
* [core] fix data render bug (#1557) 1c3a4401f
* [WEEX-620][iOS] pageName check and interaction code revert (#1539) 80419506d
* [WEEX-622][iOS] record jsservice name to context && modify white screen check logic (#1541) 2b46ca7a9
* [iOS] add render_action_call_native_module.cpp file to sdk (#1555) 6cfc9245f
* [iOS] Pass pageURL to external image loader. (#1556) 4fd3630f6
* [iOS] Generate build time and time stamp when build. (#1554) 7686059cb
* [core] add js_common_function.cc file to sdk (#1553) 5d2106d72
* [WEEX-625][iOS] hotpatch jsframework && support JSFrameworkLoadProtocol (#1546) b1f1dfd32
* [iOS] Add getLanguageSync for local, and fix original getLanguage method. (#1552) 5996ca551
* [WEEX-627][core] data render support opcode (#1551) 8fd46ec96
*  [android] Fix getLanguage (#1547) f38e2117d
* [WEEX-623][Android] pageName check and revert interaction time top10 logic (#1543) 4567898bd
* [core][Android] replace StringCache with JNIEnv::NewStringUTF (#1549) 68799156e
*  [android] Fix devtool crash & support resetBridge (#1548) 339b3f9ac
* [core] fix iOS malloc.h not find (#1545) 80a683043
* [WEEX-585][iOS] recycle list bugfix (#1538) 5a86a382b
* [WEEX-616][iOS] scroller support borderRadius (#1533) cc0f889fc
* [Core] Refactor. Fix memory leak and border pixel scale. (#1544) 03d8db254
* use gnustl_static instead of c++_static, reimplement utf16 convert to utf8 (#1540) 963165baf
* [Android] add condition to prevent calling jni method when so or jfm not prepared (#1542) c8fafc319
* keep pageIndex if pageEnabled seted (#1537) 32621fc4a
* [jsfm] upgrade js framework to v0.28.1 (#1536) e95972b6b
* [Core] Refactor. Adapt for scroller nested in scroller. (#1535) 73bf9e35d
* default multiProgress, if failed in multiProgress turn to singleProgress according to the switch (#1534) eaab049e9
* stop sync if exception occurs (#1532) 95aa6c5ba
* [jsfm] Add more debug logs for vdom operation (#1531) 03c6b7c83
* [jsfm] enhance the destroy logic of document and element (#1529) d7c40d272
* [WEEX-615][iOS] apm data improvement (#1528) 91fd803be
* [WEEX-614][Android] apm monitor logic fix (#1527) 6b0bc9fef
*  [Android] Downgrade to h5 if unsatisfiedLinked Error happened (#1518) aab4ea538
* [core] fix setViewPort not valid problem (#1525) fdc3f7d0f
* [Core] Refactor. Avoid invalid cell/header height. (#1517) 360ad5c6a
* [WEEX-611][Android] Fix java.lang.ArrayIndexOutOfBoundsException (#1511) aa1fe2797
*  [Core] Refector code, make jsengine can run on multi thread environment (#1510) 60598392f
* [WEEX-609][iOS]apm monitor logic modify (#1505) 3df521a38
* [WEEX-608][Android] apm monitor logic modify (#1506) d5741edde
* [WEEX-607][iOS] [weex monitor improvement (#1500) 5108cacc9
* [WEEX-606][Android]fix monitor data (#1497) 876c15245
* [iOS] Add page stop event and custom pageSize ability to Scroller (#1496) 419b1007e
* [WEEX-558][Android] Font file url compatible with ' and " (#1419) 4c7c1d1e2
* [iOS] Fix on iOS9, text cannot be deleted when exceeds maxLength. (#1487) a9e0e19e4
* [WEEX-586][Android] add synchronized for recycle list template (#1488) 400bfcd09
* [WEEX-599][iOS] add apm record isEnd flag (#1483) 2fca54f80
* [WEEX-593][iOS]image can not show correct borderRadius (#1485) 3606120a8
* [iOS] Avoid exceptionHandler be invoked by self and cause stackoverflow. (#1481) 111278dd4
* [WEEX-598][iOS] slider component can not request gesture stoppropagation (#1478) bd0789aa8
* [WEEX-597][Android] fix can't get instance before render template for apm (#1477) a79774068
* [WEEX-596][iOS]fix report empty when too fast between render and destroy (#1476) ab4231d39
* [WEEX-595][Android] fix report empty when too fast between render(template) and destroy (#1475) cb9b6851b
* [WEEX-592][iOS] fix dic for-each read crash (#1472) 56891831e
* [WEEX-593][iOS]image can not show correct borderRadius (#1473) 8b2381f3c
* [WEEX-595][Android]improvement apm monitor (#1474) 3c2f5ac4f
* [WEEX-591][Android] fix interaction logic (#1471) 74eb12942
* [WEEX-590][Android] add more info to report (#1470) a5bb5788e
*  [Android] Fix duplicate resource name. (#1427) 6b92c7934
* [WEEX-586][Android]WXEmbed Support Listen scroll scrollEnd scrollStart Event c16e954d2
* add check for file path pointer 546ba2c0f
* [WEEX-587][iOS] excpetion report fix (#1469) 7c1f15e7d
* [Android] Add setTextColor for WXTextView e86c85967
* [Android] fix ListComponent pagingEnabled bug 66f63b6ad
*  [Android] add extInfo for instance b15d88a82
* https://issues.apache.org/jira/browse/WEEX-589 [WEEX-589][Android] change weex run mode run weex in multiprogress only Bug: WEEX-589 ed4d72faf
* [jsfm] upgrade js framework to v0.27.8 (#1463) 559d04fcf
* [jsfm] upgrade js framework to v0.27.6 | remove Object.create(null) (#1449) fe689f1fa
* [WEEX-577][iOS] refactoring recycle list's data structure and bug-fix (#1453) ff6e0797a
*  [WEEX-583][iOS] add fields for monitor (#1462) 64e7189ad
* Add event listener scroller, add enumerate component method. (#1458) 8b9803630
* [WEEX-580][Android]View key is not unique, RecycleList data repeat render not right, (#1455) 9cc41d026
* [WEEX-578][Android] edit performance point (#1454) 4115a381f
*  [iOS] make 'video' and 'videoplus' support border radius (#1447) 0a84db9da
*  [android] Make header can recycled. (#1446) be25fb7e9
* [WEEX-570][Android] add ut details (#1442) d8dfd5443
* [WEEX-569][iOS] fix degrade_error not report (#1440) f7ee337c9
* [WEEX-573][iOS] try to solve transition's occasional crash (#1445) 5e60c7822
* [WEEX-571][iOS]peformance record, fix createInstance time in snandbox (#1443) 328c636b6
*  [iOS] fix img dic (#1423) 54f329028
* [WEEX-572][Android] calculate apm(newPerformance time) by use method SystemClock.uptimeMillis (#1444) 853482ef5
* [WEEX-566][Android] add jsb version file to make jsb.so can update (#1437) 8d1b3c4dd
* [WEEX-568][Android]Add Scan Delay Interface For AutoScanConfigRegister (#1439) 2e4287676
* [Android] Fix js process crash report error (#1438) 642dbf049
* [WEEX-548][iOS] Weex devtool can not debug recycle list (#1395) 87eeb6d5d
* [devtool] Added beta-signoff.sh to automate the beta release process. (#1432) eddf67ed0
* [WEEX-563][iOS] fix the attribute of linear-gradient on iOS (#1434) c99066b7c
* [WEEX-565][Android] do not set view's id if there is a id in this view (#1436) 5ab43970d
* [WEEX-564][Android] fix check screen empty logic (#1435) bf1cd324d
* [iOS] Fix getComponentRect of dom module. Rootview may be nil if fetched outside the block. (#1433) 99496abb4
* [doc] Update the issue template on GitHub (#1416) c2575bb16
*  [android] Update libweexcore.so (#1429) 89b7ac4ba
*  * [android] Report TextureView doesn't support displaying a background drawable (#1426) b402aa011
* [jsfm] upgrade js framework to v0.27.5 (#1417) bd79ee134
* [WEEX-562][Android] task may be null ,should be check ,not try/catch (#1425) 9eb436afb
*  [Android] Fix the spell issue. (#1424) 832097974
* [WEEX-560][Android] fix null point of apm && report initJSFM fail info (#1422) 9015a80ea
*  [Android] Fix invalid column count of list/vlist/waterfall/recycler (#1421) e0bc068f5
* [WEEX-559][iOS]Fix issue that handleAppear should be resent for lazily created scrollview. (#1420) 2ad0c52fb
* [WEEX-556][iOS] Fix video play state is not 'play' while set autoplay to true (#1418) 0fa0610e4
*  [iOS] layoutEngin Fix text height problem. (#1414) 6f16af7d3
* [WEEX-552][iOS] apm for ios (#1412) 539621ffc
* [WEEX-554][Android] fix fsRender Time (#1413) 6e680c201
* [android] add "activity" param  to INavigator interface (#1410) 34773dc8a
*  Clear global modules, switch them to instance bind modules. ee370e4cb
* [WEEX-551][core][Android] Add new new data render mode. (#1409) f9c31c519
*  [Android] Fix text height problem. (#1408) 42046b074
* [android] add Navigator interface to adapter ''push"&“pop” (#1406) 776bc45a2
*  [Android] Fix text layout problem. (#1407) affca6dfa
* Revert "* [android] Use rint on getFloatByViewport." (#1404) 40fa04c61
* [WEEX-550][Android] add ut to track initframework problem (#1403) 07c1cefc0
*  [Android] apm for weex perofrmance (#1387) 29c3c80d3
* + [Android] Change method access level for image (#1398) 2c78b6528
*  [android] Fix interctionTime (#1397) d7c949be3
*  [Android] Fix ConcurrentModification Exception. (#1394) 52b66e59c
*  [android] add  pagingEnabled ="true"  attribute of list component 9fc2cc61a
*  [iOS] change component block sync to async 7dd54bbfe
*  [iOS] delete useless code about log 538e2f9ac
*  [iOS] fix _virtualComponentId miss "@" bug 5e36e1b6f
*  [iOS] fix scrollTo wrong position when no virtalElementInfo 70da7694b
*  [iOS] fix cssSelector's parse with compatible "" 53a9e02bc
*  [iOS] change 'vRef' to 'ref' b57f48a7d
* [WEEX-502][iOS] Weex Template List Support Animation & queryElement fix when string is nil 184a36a4a
* [WEEX-502][iOS] Weex Template List Support Animation & queryElement c8ed6024a
* [jsfm] upgrade js framework to v0.27.3 (#1390) c7e6ade50
* [WEEX-547][jsfm] Remove module proxy cache of weex.requireModule (#1389) 053f26e55
* [jsfm] upgrade js framework to v0.27.2 (#1388) 68e97ea7c
*  [android] Fix setComponentUsing 740d3967b
* [WEEX-525] Created the automate beta branch-off scripts. (#1353) 2864fdf15
*  [android] Fix crash due to instanceId is null 2e9a07875
* [WEEX-502][Android]Weex Template List Support Animation & queryElement & scrollToElement 66571add5
* [jsfm] change vRef to ref c223f0d3a
* Fixed Spelling. 267346aa2
*  [Android] Fix some ConcurrentModificationException 2ace11d72
* [jsfm] task center normalize for native virtual element af068c0a6
* [WEEX-542][Android] rm useless code e46a720cd
* [WEEX-535][iOS] add extMsg when reproteror for windmill a1cd1176a
*  [iOS] parser type by reg 72422cb51
* [WEEX-541][iOS]Vertical Pan may not trigger 'start' event on some devices. 988b99a7c
* [WEEX-495][iOS] Fix class_replaceMethod param error in WXSwizzleInstanceMethod. bb466be8d
* [WEEX-539][Android] report container info when report error or performance a3b0225a1
*  [Android] Fix transition createLayoutPropertyValueHolder 040a57efa
*  [android] Use rint on getFloatByViewport. 4bffbd284
*  [android] Fix setViewport when debug 34d7528ef
* # This is a combination of 2 commits. # This is the 1st commit message: 5a1d32a7a
* [jsfm] add try catch for callback function and event handler (#1373) cb22b8ac7
* [WEEX-538][Android] do not shutdown websocket when debug a45c0ce7f
*  [Android] Add more log when callNative failed. b27c0d4f8
*  [Android] Add JS Error Log in GraphicActionAddElement a9ac1ea85
* https://issues.apache.org/jira/browse/WEEX-536 [WEEX-536][Android] check ndk version 011dc0af0
* [WEEX-529] android WXGesture class allow add custom gesture listener 89fd492b3
* [WEEX-461][jsfm] remove useless trace function in js framework (#1358) 3ae8f53a6
* [WEEX-490][Android] Fix input type is number 889f4a56f
* [WEEX-527][Android] Fix debug bridge crash 2667bd07d
* [WEEX-527][Android] Sandbox support to debug a120d35e9
*  [Android] Fix animation memory leak 291e48b3e
*  [android] Fix Iconfont issue 41038abc5
* Try to fix a crash operating mutable array in multi-thread 907315429
* Try to fix a crash operating mutable array in multi-thread 1172a3b62
* [jsfm] upgrade js framework to v0.27.1 (#1351) e36eec286
*  [iOS] new point newFsRenderTime 059762651
* [WEEX-523][iOS] Update for fix WXConvert UIColor related crash cef64e937
* [WEEX-523][iOS] Fix WXConvert UIColor related crash sometimes e7bf3c46d
*  [Core] Fix "flex-grow" problem on text 077f16f88
* [WEEX-521][Android] Support interaction time 0978d98a1
* [WEEX-494][Android] Fix pointerIndex out of range c3321a560
* [core][Android] Add RenderSuccess callback 498615d1e
* [WEEX-494][Android] Protects crash during initFramework and reports native errors. 6dbc9de5a
* [WEEX-503][iOS] Fix sometimes scale transform only set one of XY direction on iOS f98704f0c
* [WEEX-513][iOS] Fix build issue b83b19185
* [WEEX-513][iOS] Improve WeexSDK project file e3793082e
*  [Android] Fix NPE in WXSDKInstance 07f9b43fb
*  [Android] Fix display error of base64 IconFont 3e800e2ca
*  [Android] Upgrade to API 26 3df1c5ddb
* [WEEX-511][iOS] Fix debug log may crash when there is a retain cycle in the object a6dbdf23d
* [docs] Added branch management scheme (resolve #1311) 2a0e53fd2
* [WEEX-506][Android] try fix report defaultUrl in mutilThread case c281b565a
* [WEEX-500][iOS] Fix Sticky in List will not be removed in some cases 5ca1f002a
* [WEEX-501][iOS] Try to fix insert table view cell exception abort on iOS bedc6aa47
* [jsfm] upgrade js framework to v0.27.0 (#1321) 44a3c412a
* [jsfm] fix the wrong package format in v0.26.20 41e247000
* [jsfm] upgrade js framework to v0.26.20 b4816026c
* [WEEX-498][Android] fix report url is bundleUrlDefault 987792330
* [WEEX-496][iOS] In CoreText mode, origin of first line is incorret under iOS9 or lower. 402feabd7
* fix input component bug 003765f73
* support "*#-+" when input type is tel ee91911e5
* modify code style ebc7ddb00
* [WEEX-490][android] fix the bug of input component when setting property "type=tel" and "type=number" in input component，users can also input text Bug: 490 e5b668887
* [empty] Close invalid and legacy pull requests 6d4da701c
* [WEEX-492][iOS] Make stoppropagation parameter compatible with Rax framework. e019f3c8a
* [WEEX-485][Android] fix slider bug: scroll when scrollable=false make index not work 8ce1f1ee8
* [WEEX-487][Android] bug fix: scrollable="false" not work on android 35fd2057a
* [jsfm] upgrade js framework to v0.26.19 (#1308) c354d2bbc
* [WEEX-397][jsfm] update build script of js framework (#1199) 5238f44d6
* [WEEX-479] Update jsbundle of weex playground app (resolve #1291) b63944181
*  [jsfm] using rollup.watch to fix dev build a5773d383
* [WEEX-449][iOS] Fix issue that iconfont may randomly display as '?'. 0557cf69f
* [WEEX-489][iOS] Fix resource not loaded when using dynamic framework solution in some cases. df0eb7d11
* [jsfm] upgrade js framework to v0.26.18 (#1304) 9e8f8f650
* Revert "* [Android] Fix potential memory leak." 6149d49d7
* [WEEX-462][Android] roll back method 14aec0d76
* [WEEX-483][Android] get options from arguments in callNativeModule c59ac1895
* [WEEX-484][iOS] Failure of parsing transform parameter when in third-party environment 7f6ea01c4
* [WEEX-445][jsfm] export requireModule to global aebd432f5
* [WEEX-342][android] when animation module or transition parser properties, some propers may be not right, so add try catch to handle the exceptions e61ba4d1e
* [android][WEEX-474] java.lang.IllegalArgumentException: pointerIndex out of range at com.taobao.weex.ui.view.WXCircleViewPager.dispatchTouchEvent(WXCircleViewPager.java:236) db542030f
* [android][WEEX-474] when the app's WXInstance destroy, but Weex page call toast Toast ,crash 318620664
* [WEEX-419][android] weeks bugfix for security check 15e8df0a1
* [WEEX-434][iOS]  Fix the input cannot move down to original position. Also fix issue that keyboard covers part of input when there is no navigation bar. 049d19f29
* [WEEX-446,447][iOS] Fix core text layout bug. aa77c9fa5
*  [Android] Fix duplication of animation initialization due to transformOrigin of CSS 709d78036
* clean notices & fix web demo & add dependency of weex-vue-render. #1204. 7490d74e3
* [doc] Improved README.md (resolve #1288) 9ffdd044c
* [WEEX-442][Core] Fix setViewPort d0cf4337e
*  [Android] Fix potential memory leak. 361df724c
* [Release] Fixed the weex_core build path issue e82a37236
*  [jsfm] upgrade js framework to v0.26.17 aef835a25
* [Release] Added the missing weex_core directory in release rules. 832cc9cd1
*  [jsfm] upgrade js framework to v0.26.16 (#1277) d25c45af5
* [WEEX-468][iOS] Try to fix Fixed component related crash. 060c5905c
* [WEEX-467][iOS] Fix multithread issues related to transition animation. 35e61d9b5
* [iOS] revert statistics improvement for weex rendering 216684c05
* [WEEX-465][Android]fix performance point interactionTime record bug dc1936ef0
* [WEEX-342][android] when animation module or transition parser properties,  show more readable log when call js 42f6c73d1
* [WEEX-342][android] when animation module or transition parser properties, some propers may be not right, so add try catch to handle the exceptions 906a4fff8
* Update WXRecyclerUpdateController.m 320979ece
